Page MenuHomePhabricator

Make automated refunds possible in Worldpay
Closed, DeclinedPublic

Description

We send WP the same order number for the initial 10 cent test charge as we do for the full donation authorization. Worldpay generates a unique PTTID for each transaction. Currently, WP uses the unique PTTID in its communication with the donor's financial institution. In order to make refunds less of a manual process, WP can switch to using our order number as the transaction identifier between itself and the financial institution. Using each order number twice would be a problem.

https://gerrit.wikimedia.org/r/171561 generates unique order ids by appending a different digit for each transaction in a donation. The sale transaction will keep the standard order ID for ease of correlation on refunds.

TODO: update regex in audit script to find log lines with postfixed digits.

More info from donor services: https://wikimedia.mingle.thoughtworks.com/projects/online_fundraiser/cards/2144

Related Objects

StatusAssignedTask
ResolvedNone
DeclinedNone
DeclinedNone
OpenNone
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Invalidawight
Resolvedawight
OpenNone
OpenNone
Duplicateawight
Resolvedawight
Resolvedawight
Resolvedawight
ResolvedJgreen
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone

Event Timeline

Ejegg created this task.Feb 9 2015, 10:05 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2015, 10:05 PM
atgo added a subscriber: atgo.
Ejegg set Security to None.
atgo triaged this task as Normal priority.Feb 13 2015, 10:26 PM
atgo updated the task description. (Show Details)Mar 5 2015, 9:18 PM
atgo added a subtask: Restricted Task.
atgo removed a subscriber: atgo.Mar 30 2016, 10:06 PM
Ejegg closed subtask Restricted Task as Declined.Jan 4 2017, 6:03 PM
Ejegg closed this task as Declined.Jan 4 2017, 6:05 PM